Bug 114593 - changeloop appears to be broken
Summary: changeloop appears to be broken
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-29 20:49 UTC by Bill Nottingham
Modified: 2014-03-17 02:41 UTC (History)
3 users (show)

Fixed In Version: 2.6.1-1.65
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-09 16:09:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda syslog (73.71 KB, text/plain)
2004-01-29 20:50 UTC, Bill Nottingham
no flags Details

Description Bill Nottingham 2004-01-29 20:49:47 UTC
2.6.1-1.63.

The installer transfers the install image, and (apparently) does the
changeloop ioctl. The installer then becomes stuck in disk wait, in
the loopback code.

syslog with sysrq dumps attached.

Comment 1 Bill Nottingham 2004-01-29 20:50:27 UTC
Created attachment 97346 [details]
anaconda syslog

Comment 2 Alexander Viro 2004-01-31 02:21:02 UTC
reason: bio_alloc(..., 0) leaves a lot of stuff uninitialized.  Fix:
use bio_alloc(GFP_KERNEL, 1); and explicitly set bio->bi_bdev to NULL
in the loop_switch().  After that it works here(tm).

Comment 3 Bill Nottingham 2004-01-31 03:16:07 UTC
Fix integrated into 2.6.1-1.65.


Note You need to log in before you can comment on or make changes to this bug.